SPECIAL OFFER: Only $69 for access to everything in OSTraining for 1 year! You save $75! 
Join today and get access to 1,000's of books and videos. Learn WordPress, Drupal, Magento, Joomla and more! Sign up today!

Error Picked Up By Akeeba Backup

5 years 7 months ago #123261 by Madcockney
Error Picked Up By Akeeba Backup was created by Madcockney
I am using Akeeba Backup 3.46 (J2.5.28) and if you look in Extension manager/manage the following appears in the version column for Akeeba:

Notice: Undefined property: stdClass::$installed in C:\WebDev-Sites\SOC-IM\administrator\components\com_installer\views\manage\view.html.php on line 103

It also says the same for line 104

With both it also refers to trying to get the property of non object and for line 104 also refers to Warning: implode(): Invalid arguments passed for line 104

I am also getting the same with JCE.

if I look at the page referred to for lines 102, 103, and 104 as below

$info = JText::sprintf('COM_INSTALLER_COMPATIBILITY_TOOLTIP_INSTALLED',
$compatibility->installed->version,
implode(', ', $compatibility->installed->value)

Note that this was on a copy of our site running on Xampp that I was removing some extensions on, but cannot recall one called this.

Though this does not appear to affect the operation of the site or administration I am curious about it. I assume that this just means that something has not been updated properly.

Please Log in to join the conversation.

5 years 7 months ago #123265 by Valentin
Replied by Valentin on topic Error Picked Up By Akeeba Backup
Hi Madcockney,

You seem to have a very old one. Update to a new version from Extensions > Extensions manager > Update
If the update isn't available, try to download the last version compatible with Joomla 2.5 and install it.

Kind regards,
Valentín

Follow us on Twitter - twitter.com/OSTraining
Like us on Facebook - facebook.com/ostraining
The following user(s) said Thank You: Madcockney

Please Log in to join the conversation.

5 years 7 months ago #123268 by Madcockney
Replied by Madcockney on topic Error Picked Up By Akeeba Backup
I had already tried that Valentin. But it appears that I will have to uninstall this version as this is the last in the major 3 version and the last suitable for J2.5 is Akeeba Backup is version 4.12 and that won't install over 3.46. And will that also affects what JCE is seeing as well? To me it looked like one component that had caused it and was being seen by both AB and JCE.

Please Log in to join the conversation.

5 years 7 months ago #123271 by steve
Replied by steve on topic Error Picked Up By Akeeba Backup
Hi Madcockney

You're right to say, "this does not appear to affect the operation of the site or administration"

Notices are the least important message that PHP can send to you:
www.ostraining.com/blog/joomla/warnings/

"the script encountered something that could indicate an error, but could also happen in the normal course of running a script."


It seems to refer to a missing line of text: COM_INSTALLER_COMPATIBILITY_TOOLTIP_INSTALLED

This code normally displays a blue tooltip to say whether your version is the latest one, but as this information is not available, it generates a notice.
The following user(s) said Thank You: Madcockney

Please Log in to join the conversation.

5 years 7 months ago #123283 by Madcockney
Replied by Madcockney on topic Error Picked Up By Akeeba Backup
Hi Steve,

I had read that article in the past, and though interesting does not always resolve the issues. I first came across this when I initially got involved with Joomla a couple of years back. I had a test an instance of the live site on my own computer. This was a good thing as php had to be updated and threw all these notices and warnings on the front end. (You will see this covered in detail on one of my very early postings here.) There were pages of them. Anyway by undertaking some of the things covered in the article I got rid of some, then I had to go into the php config to remove warnings, more success, but still there. Eventually I found that I had to go into the template php and turn it off by changing the code not to display notice and warnings and that solved it.

The issue here was that the original developer(?) had decided to use J2.5.9 even though Joomla was at J3.2 saying that it was flaky. He had used a lot of paid items and of course they weren't up to date. Personally I think that he pinched an existing site and just changed it and in areas was out of his depth. Why Joomla 2.5.9? Well he had tried to update and it had fallen over so had gone back to J2.5.9. I only discovered this when I subsequently tried to update and had the same issue and was advised by others what had happened previously. The only difference was that I investigated and researched to find out that it was a database issue where J2.5.10 and J2.5.11 did not make the correct changes. Once you knew what to do immediately after the Joomla update to the DB it was easy.

Back to the original support subject. I was a bit of a plonker. This was a new instance of Xampp and php was set to a 2MB upload limit and while it had handled Akeeba Backup 3.46 version 4.12 was over 4 MB. I usually change the upload limit as soon as I do an install of any of these but forgot. However most set the default limit to 8 MB whereas Xampp for some reason uses 2 MB. And Akeeba 4.12 solved those notices appearing. FYI this is with php 5.5.30

Please Log in to join the conversation.

5 years 7 months ago #123314 by Valentin
Replied by Valentin on topic Error Picked Up By Akeeba Backup
Hi Madcockney,

It seems this site has a bit of disorganization from the core. And certainly non-updated third party extensions can messed up the site even more.

How may we help you?

Kind regards,
Valentín

Follow us on Twitter - twitter.com/OSTraining
Like us on Facebook - facebook.com/ostraining

Please Log in to join the conversation.

Join today and get access to 1,000's of books and videos. Learn WordPress, Drupal, Magento, Joomla and more! Sign up today!